%define upstream_name TFTP
%define	upstream_version 1.0b3

%{?perl_default_filter}

Name: 		perl-%{upstream_name}
Version: 	%{upstream_version}
Release: 	%mkrel 7
Summary: 	TFTP Client class
License: 	GPL or Artistic
Group: 		Development/Perl
Source: 	https://cpan.metacpan.org/modules/by-module/TFTP/GSM/%{upstream_name}-%{upstream_version}.tar.gz
Url:		https://metacpan.org/release/%{upstream_name}
BuildArch:	noarch

%description 
TFTP is a class implementing a simple TFTP client in Perl as described
in RFC783.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc README
%{perl_vendorlib}/%{upstream_name}.pm
%{_mandir}/man3/*


%changelog
* Sat Jun 28 2025 umeabot <umeabot> 1.0b3-7.mga10
+ Revision: 2216125
- Mageia 10 Mass Rebuild

* Tue Nov 01 2022 umeabot <umeabot> 1.0b3-6.mga9
+ Revision: 1901200
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.0b3-5.mga8
+ Revision: 1497783
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 1.0b3-4.mga7
+ Revision: 1272287
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 1.0b3-3.mga6
+ Revision: 1035186
- Rebuild for perl 5.22.2

* Sun Jan 31 2016 umeabot <umeabot> 1.0b3-2.mga6
+ Revision: 929424
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1-0.0b3.7.mga5
+ Revision: 742302
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1-0.0b3.6.mga5
+ Revision: 686307
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 1-0.0b3.5.mga4
+ Revision: 514841
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 1-0.0b3.4.mga3
+ Revision: 373013
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Jan 13 2011 jquelin <jquelin> 1-0.0b3.3.mga1
+ Revision: 15484
- imported package perl-TFTP


* Fri Sep 04 2009 Thierry Vignaud <tvignaud@mandriva.com> 1-0.0b3.3mdv2010.0
+ Revision: 430604
- rebuild

* Fri Dec 21 2007 Olivier Blin <oblin@mandriva.com> 1-0.0b3.2mdv2009.0
+ Revision: 136362
- restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Sat Sep 15 2007 Guillaume Rousse <guillomovitch@mandriva.org> 1-0.0b3.2mdv2008.0
+ Revision: 87060
- rebuild


* Tue Sep 05 2006 Olivier Blin <blino@mandriva.com> 1-0.0b3.1mdv2007.0
- initial Mandriva release

